---
sidebar_position: 3
description: Get deal and other functions to work with Bitrix24 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Bitrix24]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get deal
 Gets deal by ID



`Function GetDeal(Val URL, Val DealID, Val Token = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | URL | --url | String | &#x2714; | URL of webhook or a Bitrix24 domain, when token used |
  | DealID | --deal | Number, String | &#x2714; | Deal ID |
  | Token | --token | String | &#x2716; | Access token, when app auth method used |

  
  Returns:  Map Of KeyAndValue - serialized JSON of answer from Bitrix24 API

:::tip
Method at API documentation: [crm.deal.get](https://dev.1c-bitrix.ru/rest_help/crm/cdeals/crm_deal_get.php)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    URL    = "https://b24-ar17wx.bitrix24.by/rest/1/h0m...";
    DealID = "5736";

    Result = OPI_Bitrix24.GetDeal(URL, DealID);

    URL    = "b24-ar17wx.bitrix24.by";
    Token  = "6ad03969006e9f06006b12e400000001000...";
    DealID = "5736";

    Result = OPI_Bitrix24.GetDeal(URL, DealID, Token);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint bitrix24 GetDeal \
             --url "b24-ar17wx.bitrix24.by" \
             --deal 5744 \
             --token "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint bitrix24 GetDeal ^
             --url "b24-ar17wx.bitrix24.by" ^
             --deal 5744 ^
             --token "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "result": {
  "ID": "5744",
  "TITLE": "Planned sale",
  "TYPE_ID": "GOODS",
  "STAGE_ID": "NEW",
  "PROBABILITY": "30",
  "CURRENCY_ID": "USD",
  "OPPORTUNITY": "5000.00",
  "IS_MANUAL_OPPORTUNITY": "N",
  "TAX_VALUE": "0.00",
  "LEAD_ID": null,
  "COMPANY_ID": "1",
  "CONTACT_ID": "3",
  "QUOTE_ID": null,
  "BEGINDATE": "2024-01-01T00:00:00+00:00",
  "CLOSEDATE": "2030-01-01T00:00:00+00:00",
  "ASSIGNED_BY_ID": "1",
  "CREATED_BY_ID": "1",
  "MODIFY_BY_ID": "1",
  "DATE_CREATE": "2025-12-10T20:02:36+00:00",
  "DATE_MODIFY": "2025-12-10T20:02:36+00:00",
  "OPENED": "Y",
  "CLOSED": "N",
  "COMMENTS": null,
  "ADDITIONAL_INFO": null,
  "LOCATION_ID": null,
  "CATEGORY_ID": "0",
  "STAGE_SEMANTIC_ID": "P",
  "IS_NEW": "Y",
  "IS_RECURRING": "N",
  "IS_RETURN_CUSTOMER": "N",
  "IS_REPEATED_APPROACH": "N",
  "SOURCE_ID": "",
  "SOURCE_DESCRIPTION": null,
  "ORIGINATOR_ID": "***",
  "ORIGIN_ID": "***",
  "MOVED_BY_ID": "1",
  "MOVED_TIME": "2025-12-10T20:02:36+00:00",
  "LAST_ACTIVITY_TIME": "2025-12-10T20:02:36+00:00",
  "UTM_SOURCE": null,
  "UTM_MEDIUM": null,
  "UTM_CAMPAIGN": null,
  "UTM_CONTENT": null,
  "UTM_TERM": null,
  "LAST_COMMUNICATION_TIME": null,
  "LAST_ACTIVITY_BY": "1"
 },
 "time": {
  "start": 1765396964,
  "finish": 1765396964.17775,
  "duration": 0.177752017974854,
  "processing": 0,
  "date_start": "2025-12-10T20:02:44+00:00",
  "date_finish": "2025-12-10T20:02:44+00:00",
  "operating_reset_at": 1765397564,
  "operating": 0
 }
}
```
